> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# get source

> get a specific source (file) for a code version. Includes raw content



## OpenAPI

````yaml /api-reference/openapi.json get /codes/{version_id}/sources/{source_id}
openapi: 3.0.0
info:
  title: BevorAI API
  version: 1.0.0
servers: []
security: []
tags:
  - name: project
    description: Managing projects, which are used to group code versions
  - name: code
    description: >-
      Used for retrieving or creating smart contract references. Required for
      creating analyses.
  - name: analysis
    description: Managing security analyses
  - name: chat
    description: Chat functionality for interacting with audit results
paths:
  /codes/{version_id}/sources/{source_id}:
    get:
      tags:
        - code
      summary: get source
      description: get a specific source (file) for a code version. Includes raw content
      parameters:
        - name: version_id
          in: path
          required: true
          schema:
            type: string
        - name: source_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  id:
                    title: Id
                    type: string
                  created_at:
                    format: date-time
                    title: Created At
                    type: string
                  content:
                    type: string
                    nullable: true
                  solc_version:
                    title: Solc Version
                    type: string
                  path:
                    title: Path
                    type: string
                  is_imported:
                    title: Is Imported
                    type: boolean
                  is_known_target:
                    title: Is Known Target
                    type: boolean
                  n_entry_points:
                    title: N Entry Points
                    type: integer
                required:
                  - id
                  - created_at
                  - solc_version
                  - path
                  - is_imported
                  - is_known_target
                  - n_entry_points
                title: CodeSourceContentSchema
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - error.not_found
            - error.validation
            - error.server
            - error.invalid_scope
            - error.limit
            - error.entity_deletedcompiler.error
            - compiler.validation_error
            - compiler.authorization_error
            - compiler.not_found_error
            - compiler.invalid_version_error
            - compiler.old_version_error
            - explorer.contract_not_verified_error
            - explorer.contract_not_found_error
            - explorer.contract_fetch_error
            - compiler.internal_error
            - compiler.binary_error
            - compiler.compiler_error
            - ast.invalid_node
            - ast.invalid_reference
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````